package cd.casic.plugin.annotation;

import java.lang.annotation.*;

/**
 * 用于标记插件内部的独立配置类
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface PluginConfiguration {
    String fileName() default ""; // 插件配置文件的文件名

    String deploySuffix() default ""; // 插件配置文件在deployment模式下的后缀

    String devSuffix() default ""; // 插件配置文件在development模式下的后缀
}
